Index: plottools/src/danse/common/plottools/PlotPanel.py
===================================================================
--- plottools/src/danse/common/plottools/PlotPanel.py	(revision 7053d08cc15f50798162206f60d83effb48646ab)
+++ plottools/src/danse/common/plottools/PlotPanel.py	(revision 26b0a7ccd1604b8be024a623257e4c5a49bb2e29)
@@ -258,8 +258,10 @@
         self.xaxis_unit = None
         self.xaxis_color = 'black'
+        self.xaxis_tick = False
         self.yaxis_font = None
         self.yaxis_label = None
         self.yaxis_unit = None
         self.yaxis_color = 'black'
+        self.yaxis_tick = False
         
         # check if zoomed.
@@ -1059,5 +1061,5 @@
         """
         xaxis_label, xaxis_unit, xaxis_font, xaxis_color,\
-                     is_ok = self._on_axis_label(axis='x')
+                     is_ok, xaxis_tick = self._on_axis_label(axis='x')
         if not is_ok:
             return
@@ -1067,9 +1069,10 @@
         self.xaxis_font = xaxis_font
         self.xaxis_color = xaxis_color
+        self.xaxis_tick = xaxis_tick
         
         if self.data != None:
             # 2D
             self.xaxis(self.xaxis_label, self.xaxis_unit,\
-                        self.xaxis_font, self.xaxis_color)
+                        self.xaxis_font, self.xaxis_color, self.xaxis_tick)
             self.subplot.figure.canvas.draw_idle()
         else:
@@ -1097,5 +1100,5 @@
         """
         yaxis_label, yaxis_unit, yaxis_font, yaxis_color,\
-                        is_ok = self._on_axis_label(axis='y')
+                        is_ok, yaxis_tick = self._on_axis_label(axis='y')
         if not is_ok:
             return
@@ -1105,9 +1108,10 @@
         self.yaxis_font = yaxis_font
         self.yaxis_color = yaxis_color
+        self.yaxis_tick = yaxis_tick
 
         if self.data != None:
             # 2D
             self.yaxis(self.yaxis_label, self.yaxis_unit,\
-                        self.yaxis_font, self.yaxis_color)
+                        self.yaxis_font, self.yaxis_color, self.yaxis_tick)
             self.subplot.figure.canvas.draw_idle()
         else:
@@ -1143,4 +1147,5 @@
                 unit = textdial.getUnit()
                 colour = textdial.getColor()
+                is_tick = textdial.getTickLabel()
                 label_temp = textdial.getText()
                 if label_temp.count("\%s"% "\\") > 0:
@@ -1161,6 +1166,7 @@
         else:
             is_ok = False
+            is_tick = True
         textdial.Destroy()
-        return label, unit, font, colour, is_ok
+        return label, unit, font, colour, is_ok, is_tick
         
     def _on_removetext(self, event):
@@ -1249,5 +1255,5 @@
                                 handletextsep=.05, loc=self.legendLoc)
                  
-    def xaxis(self, label, units, font=None, color='black'):
+    def xaxis(self, label, units, font=None, color='black', t_font=False):
         """xaxis label and units.
         
@@ -1265,11 +1271,12 @@
         if font:
             self.subplot.set_xlabel(label, fontproperties=font, color=color)
-            for tick in self.subplot.xaxis.get_major_ticks():
-                tick.label.set_fontproperties(font) 
+            if t_font:
+                for tick in self.subplot.xaxis.get_major_ticks():
+                    tick.label.set_fontproperties(font) 
         else:
             self.subplot.set_xlabel(label, color=color)
         pass
     
-    def yaxis(self, label, units, font=None, color='black'):
+    def yaxis(self, label, units, font=None, color='black', t_font=False):
         """yaxis label and units."""
         if units != "": 
@@ -1279,6 +1286,7 @@
         if font:
             self.subplot.set_ylabel(label, fontproperties=font, color=color)
-            for tick_label in self.subplot.get_yticklabels():
-                tick_label.set_fontproperties(font)
+            if t_font:
+                for tick_label in self.subplot.get_yticklabels():
+                    tick_label.set_fontproperties(font)
         else:
             self.subplot.set_ylabel(label, color=color)
@@ -1817,6 +1825,8 @@
         self.set_yscale(_yscale)
         
-        self.xaxis(xname, xunits, self.xaxis_font, self.xaxis_color)
-        self.yaxis(yname, yunits, self.yaxis_font, self.yaxis_color)
+        self.xaxis(xname, xunits, self.xaxis_font, 
+                   self.xaxis_color, self.xaxis_tick)
+        self.yaxis(yname, yunits, self.yaxis_font, 
+                   self.yaxis_color, self.yaxis_tick)
         self.subplot.texts = self.textList
         self.subplot.figure.canvas.draw_idle()
Index: plottools/src/danse/common/plottools/TextDialog.py
===================================================================
--- plottools/src/danse/common/plottools/TextDialog.py	(revision 82a54b89c2fb14de05cf41239d597f5e7cb6df9b)
+++ plottools/src/danse/common/plottools/TextDialog.py	(revision 26b0a7ccd1604b8be024a623257e4c5a49bb2e29)
@@ -29,4 +29,5 @@
         self.weight = WEIGHT[1]
         self.color = COLOR[0]
+        self.tick_label = True
         #Dialog interface
         vbox  = wx.BoxSizer(wx.VERTICAL)
@@ -49,4 +50,12 @@
             self.unit_ctrl.SetValue(str(unit))
             unit_box = wx.BoxSizer(wx.HORIZONTAL)
+            tick_label_text = wx.StaticText(self, -1, 'Tick label')
+            tick_label_text.SetToolTipString("Apply to tick label too.")
+            self.tick_label_check = wx.CheckBox(self, -1, 
+                                                '', (10, 10))
+            self.tick_label_check.SetValue(True)
+            self.tick_label_check.SetToolTipString("Apply to tick label too.")
+            wx.EVT_CHECKBOX(self, self.tick_label_check.GetId(), 
+                            self.on_tick_label)
             enter_text = 'Enter text:'
         else:
@@ -57,4 +66,6 @@
             self.unit_ctrl = None
             unit_box = None
+            tick_label_text = None
+            self.tick_label_check = None
             enter_text = 'Enter text'
             if len(label) > 0:
@@ -119,4 +130,8 @@
         family_box.Add(wx.StaticText(self, -1, 'Size :'), -1, 0)
         family_box.Add(self.fontSize, -1, 0)
+        if unit_box != None:
+            family_box.Add((_BOX_WIDTH/2,-1))
+            family_box.Add(tick_label_text, -1, 0)
+            family_box.Add(self.tick_label_check, -1, 0)
         style_box.Add(wx.StaticText(self, -1, 'Style :'), -1, 0)
         style_box.Add(self.fontStyle, -1, 0)
@@ -202,4 +217,11 @@
         for idx in range(len(list)):
             self.fontColor.Append(list[idx],idx) 
+            
+    def on_tick_label(self, event):
+        """
+        Set the font for tick label
+        """
+        event.Skip()
+        self.tick_label = self.tick_label_check.GetValue()
                    
     def on_family(self, event):
@@ -292,2 +314,7 @@
         return str(self.color)
     
+    def getTickLabel(self):
+        """
+        Bool for use on tick label
+        """
+        return self.tick_label
